Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/MacDonald_short_channel/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/MacDonald_short_channel/produce_report.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/MacDonald_short_channel/produce_report.py	(revision 8899)
@@ -13,9 +13,9 @@
 
 
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/avalanche_dry/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/avalanche_dry/produce_report.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/avalanche_dry/produce_report.py	(revision 8899)
@@ -13,9 +13,9 @@
 
 
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/avalanche_wet/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/avalanche_wet/produce_report.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/avalanche_wet/produce_report.py	(revision 8899)
@@ -13,9 +13,9 @@
 
 
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/carrier_greenspan_periodic/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/carrier_greenspan_periodic/produce_report.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/carrier_greenspan_periodic/produce_report.py	(revision 8899)
@@ -13,9 +13,9 @@
 
 
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/carrier_greenspan_transient/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/carrier_greenspan_transient/produce_report.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/carrier_greenspan_transient/produce_report.py	(revision 8899)
@@ -13,9 +13,9 @@
 
 
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/dam_break_dry/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/dam_break_dry/produce_report.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/dam_break_dry/produce_report.py	(revision 8899)
@@ -13,9 +13,9 @@
 
 
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/dam_break_wet/report.tex
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/dam_break_wet/report.tex	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/dam_break_wet/report.tex	(revision 8899)
@@ -20,4 +20,5 @@
 %\tableofcontents
 
+
 %======================
 %\chapter{Wet Dam Break}
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/dam_break_wet/results.tex
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/dam_break_wet/results.tex	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/dam_break_wet/results.tex	(revision 8899)
@@ -2,5 +2,7 @@
 \section{Dam break on wet areas}
 
-The dam break problem on wet areas was solved analytically by Stoker~\cite{Stoker1948, Stoker1957}. The analytical solution exhibits a rarefaction and involves a shock. Generally this problem is easier to solve numerically than the dry dam break (the dam break on a dry area).
+The dam break problem on wet areas was solved analytically by 
+Stoker~\cite{Stoker1948, Stoker1957}.
+The analytical solution exhibits a rarefaction and involves a shock. Generally this problem is easier to solve numerically than the dry dam break (the dam break on a dry area).
 
 The initial condition is
@@ -14,5 +16,6 @@
 where $h_1>h_0>0$. The topography is a horizontal flat bed.
 
-The analytical solution~\cite{Stoker1948, Stoker1957} to the wet dam break problem is
+The analytical solution~\cite{Stoker1948, Stoker1957}
+to the wet dam break problem is
 \begin{equation}
 h(x) = \left\{ \begin{array}{ll}
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/deep_wave/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/deep_wave/produce_report.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/deep_wave/produce_report.py	(revision 8899)
@@ -13,9 +13,9 @@
 
 
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/lake_at_rest_immersed_bump/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/lake_at_rest_immersed_bump/produce_report.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/lake_at_rest_immersed_bump/produce_report.py	(revision 8899)
@@ -13,9 +13,9 @@
 
 
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/landslide_tsunami/plot_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/landslide_tsunami/plot_results.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/landslide_tsunami/plot_results.py	(revision 8899)
@@ -28,5 +28,5 @@
     tmp=abs(p2.time-t)
     p2_ind=tmp.argmin()
-    pyplot.plot(p2.x[v], p2.stage[p2_ind,v], '-',label='Numerical')
+    pyplot.plot(p2.x[v], p2.stage[p2_ind,v], 'o',label='Numerical')
     if(i==0):
         pyplot.plot(t160[:,0], t160[:,1],'-', color='red', label='Analytical')
@@ -43,5 +43,5 @@
     pyplot.clf()
 
-    pyplot.plot(p2.x[v], p2.xvel[p2_ind,v], '-', label='Numerical')
+    pyplot.plot(p2.x[v], p2.xvel[p2_ind,v], 'o', label='Numerical')
     if(i==0):
         pyplot.plot(t160[:,0], t160[:,2],'-',color='red', label='Analytical')
@@ -62,10 +62,10 @@
 # Hacks to identify the location of the shoreline
 shoreline_depth_thresh1=0.01
-shoreline_depth_thresh2=1.0
+shoreline_depth_thresh2=4.0
 
 for i in range(len(model_shore_x)):
     # Compute index of shoreline
     vtmp = p2.stage[i,:]>p2.elev+shoreline_depth_thresh1
-    
+
     model_shore_x[i]=p2.x[vtmp].min()
 
@@ -74,8 +74,10 @@
     vtmp2= (p2.stage[i,:]>p2.elev+shoreline_depth_thresh1)*\
            (p2.stage[i,:]<p2.elev+shoreline_depth_thresh2)
+
+    #print 'vtmp2 ', numpy.any(vtmp2)
     mloc=abs(p2.xvel[i,vtmp2]).argmax()
     model_shore_u[i]=p2.xvel[i,vtmp2][mloc]
 
-pyplot.plot(p2.time, model_shore_x-200.,'-o', label='Numerical')
+pyplot.plot(p2.time, model_shore_x-200.,'o', label='Numerical')
 pyplot.plot(shoreline[:,0], shoreline[:,1],'-', color='red', label='Analytical')
 pyplot.legend(loc='best')
@@ -85,5 +87,5 @@
 # Can plot velocity as well 
 pyplot.clf()
-pyplot.plot(p2.time, model_shore_u,'-o',label='Numerical')
+pyplot.plot(p2.time, model_shore_u,'o',label='Numerical')
 pyplot.plot(shoreline[:,0], shoreline[:,2],'-',color='red',label='Analytical')
 pyplot.title('Shoreline velocity: Peak speed where depth >'\
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/landslide_tsunami/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/landslide_tsunami/produce_results.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/landslide_tsunami/produce_results.py	(revision 8899)
@@ -10,5 +10,5 @@
 def build():
     run_validation_script('runup.py')
-    run_validation_script('plotme.py')
+    run_validation_script('plot_results.py')
     run('python', 'typeset_report.py')
 
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/parabolic_basin/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/parabolic_basin/produce_report.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/parabolic_basin/produce_report.py	(revision 8899)
@@ -13,9 +13,9 @@
 
 
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/paraboloid_basin/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/paraboloid_basin/produce_report.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/paraboloid_basin/produce_report.py	(revision 8899)
@@ -13,9 +13,9 @@
 
 
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/rundown_mild_slope/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/rundown_mild_slope/produce_report.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/rundown_mild_slope/produce_report.py	(revision 8899)
@@ -13,9 +13,9 @@
 
 
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/runup_on_beach/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/runup_on_beach/produce_report.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/runup_on_beach/produce_report.py	(revision 8899)
@@ -13,9 +13,9 @@
 
 
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/runup_on_sinusoid_beach/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/runup_on_sinusoid_beach/produce_report.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/runup_on_sinusoid_beach/produce_report.py	(revision 8899)
@@ -13,9 +13,9 @@
 
 
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/subcritical_over_bump/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/subcritical_over_bump/produce_report.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/subcritical_over_bump/produce_report.py	(revision 8899)
@@ -13,9 +13,9 @@
 
 
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/transcritical_with_shock/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/transcritical_with_shock/produce_report.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/transcritical_with_shock/produce_report.py	(revision 8899)
@@ -13,9 +13,9 @@
 
 
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/transcritical_without_shock/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/transcritical_without_shock/produce_report.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/transcritical_without_shock/produce_report.py	(revision 8899)
@@ -13,9 +13,9 @@
 
 
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/trapezoidal_channel/numerical_channel_floodplain.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/trapezoidal_channel/numerical_channel_floodplain.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/trapezoidal_channel/numerical_channel_floodplain.py	(revision 8899)
@@ -16,5 +16,5 @@
 # Useful parameters for controlling this case
 #------------------------------------------------------------------------------
-floodplain_length = 1000.0 # Model domain length
+floodplain_length = 800.0 # Model domain length
 floodplain_width = 14.0    # Model domain width
 floodplain_slope = 1./300.
@@ -24,5 +24,5 @@
 bankwidth = 2.             # Width of the bank regions -- note that these protrude into the channel
 man_n=0.03                 # Manning's n
-l0 = 1.000 # Length scale associated with triangle side length in channel (min_triangle area = 0.5*l0^2)
+l0 = 2.00 # Length scale associated with triangle side length in channel (min_triangle area = 0.5*l0^2)
 
 assert chan_width < floodplain_width, \
@@ -175,5 +175,5 @@
 # Evolve system through time
 #------------------------------------------------------------------------------
-for t in domain.evolve(yieldstep=2.0, finaltime=1200.0):
+for t in domain.evolve(yieldstep=10.0, finaltime=1200.0):
     print domain.timestepping_statistics()
     xx=domain.quantities['ymomentum'].centroid_values
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/trapezoidal_channel/plot_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/trapezoidal_channel/plot_results.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/trapezoidal_channel/plot_results.py	(revision 8899)
@@ -1,11 +1,14 @@
 from anuga.utilities import plot_utils as util
 from matplotlib import pyplot as pyplot
+import numpy
+
 
 # Time-index to plot outputs from
-index=600
+index=120
 p2 = util.get_output('channel_floodplain.sww')
 p=util.get_centroids(p2, velocity_extrapolation=True)
 v = (p.x>6.0)*(p.x<8.0)
 
+print numpy.any(v)
 # Numerical results along a central channel 'slice'
 V1 = p.stage[index,v] - p.elev[v]
@@ -68,4 +71,6 @@
 pyplot.clf()
 v1 = (p.y<105.0)&(p.y>95.0)
+
+
 analytical_stage = min(p.elev[v1]) + dc_analytical
 analytic_vel = ( (1./300.)*(analytical_stage-p.elev[v1])**(4./3.)*(1./0.03)**2.)**0.5
@@ -94,4 +99,7 @@
 pyplot.clf()
 v1 = (p.y<505.0)&(p.y>495.0)
+
+
+
 analytical_stage = min(p.elev[v1]) + dc_analytical
 analytic_vel = ( (1./300.)*(analytical_stage-p.elev[v1])**(4./3.)*(1./0.03)**2.)**0.5
@@ -119,5 +127,9 @@
 # Plot velocity over the cross-section
 pyplot.clf()
-v1 = (p.y<905.0)&(p.y>895.0)
+v1 = (p.y<705.0)&(p.y>695.0)
+
+
+
+
 analytical_stage = min(p.elev[v1]) + dc_analytical
 analytic_vel = ( (1./300.)*(analytical_stage-p.elev[v1])**(4./3.)*(1./0.03)**2.)**0.5
@@ -136,5 +148,5 @@
 pyplot.plot(p.x[v1],p.elev[v1],'o', label='bed elevation')
 pyplot.legend(loc=10)
-pyplot.title('Velocity (analytical and numerical) and Stage:' + '\n' +'Downstream channel regions (895 to 905m)' +'\n')
+pyplot.title('Velocity (analytical and numerical) and Stage:' + '\n' +'Downstream channel regions (695 to 705m)' +'\n')
 pyplot.xlabel('Cross-channel distance (m)')
 pyplot.ylabel('Generic scale (m or m/s)')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/trapezoidal_channel/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/trapezoidal_channel/produce_report.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/trapezoidal_channel/produce_report.py	(revision 8899)
@@ -13,9 +13,9 @@
 
 
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/trapezoidal_channel/report.tex
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/trapezoidal_channel/report.tex	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Analytical_exact/trapezoidal_channel/report.tex	(revision 8899)
@@ -22,5 +22,5 @@
 
 %======================
-%\chapter{Dry Dam Break}
+%\chapter{Trapezoidal channel steady uniform flow case}
 %======================
 
Index: /trunk/anuga_core/source/anuga_validation_tests/Behaviour_only/lid_driven_cavity/numerical_lid_driven_cavity.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Behaviour_only/lid_driven_cavity/numerical_lid_driven_cavity.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Behaviour_only/lid_driven_cavity/numerical_lid_driven_cavity.py	(revision 8899)
@@ -13,5 +13,5 @@
 #Setup computational domain
 #---------
-domain = anuga.rectangular_cross_domain(20,20, len1=1., len2=1.)
+domain = anuga.rectangular_cross_domain(15,15, len1=1., len2=1.)
 
 
@@ -24,4 +24,5 @@
 domain.set_flow_algorithm(alg)
 domain.set_CFL(cfl)
+
 domain.set_name('dimensional_lid_driven')   # Output to file runup.sww
 domain.set_datadir('.')         # Use current folder
Index: /trunk/anuga_core/source/anuga_validation_tests/Behaviour_only/lid_driven_cavity/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Behaviour_only/lid_driven_cavity/produce_report.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Behaviour_only/lid_driven_cavity/produce_report.py	(revision 8899)
@@ -13,9 +13,9 @@
 
 
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: /trunk/anuga_core/source/anuga_validation_tests/Case_studies/Okushiri/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Case_studies/Okushiri/produce_report.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Case_studies/Okushiri/produce_report.py	(revision 8899)
@@ -13,9 +13,9 @@
 
 
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: /trunk/anuga_core/source/anuga_validation_tests/Experimental_data/dam_break_Yeh_Petroff/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/Experimental_data/dam_break_Yeh_Petroff/produce_report.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/Experimental_data/dam_break_Yeh_Petroff/produce_report.py	(revision 8899)
@@ -13,9 +13,9 @@
 
 
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
 os.system('bibtex report')
-os.system('pdflatex report.tex')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: /trunk/anuga_core/source/anuga_validation_tests/parameters.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/parameters.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/parameters.py	(revision 8899)
@@ -9,6 +9,12 @@
 
 
-alg = '1_5'
-cfl = 0.9
+try:
+    from anuga_validation_tests.local_parameters import *
+except:
+    alg = '1_5'
+    cfl = 1.0
 
 
+
+
+
Index: unk/anuga_core/source/anuga_validation_tests/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/produce_report.py	(revision 8898)
+++ 	(revision )
@@ -1,19 +1,0 @@
-#! /usr/bin/python
-
-# To change this template, choose Tools | Templates
-# and open the template in the editor.
-
-__author__="steve"
-__date__ ="$13/03/2013 4:24:51 PM$"
-
-
-
-import os
-
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-os.system('bibtex report')
-os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
Index: /trunk/anuga_core/source/anuga_validation_tests/produce_results.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/produce_results.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/produce_results.py	(revision 8899)
@@ -51,9 +51,13 @@
 print Upper_dirs
 
+time_total = 0.0
 for dir in Upper_dirs:
 
     os.chdir(dir)
 
-    print indent + dir
+    print 72*'='
+    print 'Directory: ' + dir
+    print 72*'='
+    
     #print 'Changing to', os.getcwd()
     dir = '.'
@@ -64,14 +68,24 @@
         pass
     #print Lower_dirs
+
+
+
+
     for l_dir in Lower_dirs:
         os.chdir(l_dir)
         #print os.getcwd()
-        print 2 * indent + l_dir
+        print 50*'-'
+        print 'Subdirectory: ' + l_dir
+        print 50*'-'
         try:
+            t0 = time.time()
             cmd = 'python produce_results.py'
-            print 3 * indent + 'Running: ' + cmd
+            print 2 * indent + 'Running: ' + cmd
             os.system(cmd)
+            t1 = time.time() - t0
+            time_total += t1
+            print 2 * indent + 'That took ' + str(t1) + ' secs'
         except:
-            print 3 * indent + 'Failed running produce_results in ' + os.getcwd()
+            print 2 * indent + 'Failed running produce_results in ' + os.getcwd()
             pass
 
@@ -83,4 +97,9 @@
     
 os.chdir(buildroot)
+
+print 72*'='
+print 'That took ' + str(time_total) + ' secs'
+print 72*'='
+
 #----------------------------------
 # Now it is ok to create the latex 
@@ -100,6 +119,6 @@
 import os
 
-os.system('python produce_report.py')
-cmd = 'pdflatex -shell-escape -interaction=batchmode report.tex'
+os.system('python typeset_report.py')
+#cmd = 'pdflatex -shell-escape -interaction=batchmode report.tex'
 #print cmd
 #import subprocess
Index: /trunk/anuga_core/source/anuga_validation_tests/report.tex
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/report.tex	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/report.tex	(revision 8899)
@@ -109,6 +109,8 @@
 
 \section{Algorithm Parameters}
-Note that parameters can be communicated from the \verb|parameters.py|
-file in the \verb|validation_tests| directory.
+Note that parameters can be communicated from the \verb|local_parameters.py|
+file in the \verb|anuga_validation_tests| directory. If there is no file
+\verb|local_parameters.py| then the parameters are taken from the
+\verb|parameters.py| file. You should not change this file.
 
 In particular the
@@ -119,6 +121,6 @@
 You can pass though the parameters straight from the \verb|parameters.py| file as follows
 \begin{verbatim}
-from validation_tests.parameters import alg
-from validation_tests.parameters import cfl
+from anuga_validation_tests.parameters import alg
+from anuga_validation_tests.parameters import cfl
 \end{verbatim}
 
Index: /trunk/anuga_core/source/anuga_validation_tests/saved_parameters.tex
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/saved_parameters.tex	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/saved_parameters.tex	(revision 8899)
@@ -1,5 +1,5 @@
 \newcommand{\cfl}{\UScore{0.9}}
-\newcommand{\alg}{\UScore{1_5}}
+\newcommand{\alg}{\UScore{tsunami}}
 \newcommand{\majorR}{\UScore{1.3.0-beta}}
-\newcommand{\minorR}{\UScore{8821}}
-\newcommand{\timeR}{{Wed Apr 10 18:02:17 2013}}
+\newcommand{\minorR}{\UScore{8897}}
+\newcommand{\timeR}{{Tue Jun 11 15:51:09 2013}}
Index: /trunk/anuga_core/source/anuga_validation_tests/typeset_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/typeset_report.py	(revision 8899)
+++ /trunk/anuga_core/source/anuga_validation_tests/typeset_report.py	(revision 8899)
@@ -0,0 +1,16 @@
+#! /usr/bin/python
+
+# To change this template, choose Tools | Templates
+# and open the template in the editor.
+
+__author__="steve"
+__date__ ="$13/03/2013 4:24:51 PM$"
+
+
+
+import os
+
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
+os.system('bibtex report')
+os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
+
Index: /trunk/anuga_core/source/anuga_validation_tests/utilities/produce_report.py
===================================================================
--- /trunk/anuga_core/source/anuga_validation_tests/utilities/produce_report.py	(revision 8898)
+++ /trunk/anuga_core/source/anuga_validation_tests/utilities/produce_report.py	(revision 8899)
@@ -9,12 +9,13 @@
 
 
+
+
 def produce_report():
-    import os
 
-    os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-    os.system('bibtex report')
-    os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-    os.system('bibtex report')
-    os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
-    os.system('bibtex report')
-    os.system('pdflatex -shell-escape  -interaction=batchmode report.tex')
+    from fabricate import run
+
+    run('pdflatex', '-shell-escape', '-interaction=batchmode', 'report.tex')
+    run('bibtex', 'report')
+    run('pdflatex', '-shell-escape', '-interaction=batchmode', 'report.tex')
+
+
